// gnome.xonotic.in.ua

models/mapobjects/ferna
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/ferna.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/leafa
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/leafa.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/leafb
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/leafb.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/nateleaf1/tree2
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/nateleaf1/tree2.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/tree3
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/tree3.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/cardigan_skies/nebula2_purple_stars
{
	qer_editorimage textures/cardigan_skies1/dense_purple_nebula.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_sun 0.968628 0.803922 0.984314 110 180 80
	skyparms env/cardigan/docs_morph_remake - -
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nodraw
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/eq2/eq2_bounce
{
	qer_editorimage textures/eq2/eq2_bounce.tga
	{
		map textures/eq2/eq2_bounce.tga
		rgbgen identity
	}
	{
		clampmap textures/eq2/eq2_bouncefan.tga
		tcmod rotate 512
		blendfunc blend
		depthwrite
		rgbgen identity
	}
	{
		map textures/eq2/eq2_bounce.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/eq2/eq2_telepanel
{
	qer_editorimage textures/eq2/eq2_telepanel.tga
	q3map_lightimage textures/eq2/eq2_telegoo.tga
	q3map_surfacelight 25
	{
		map textures/eq2/eq2_telegoo.tga
		rgbgen identity
		tcmod turb 0 0.1 0 0.2
	}
	{
		map textures/eq2/eq2_telepanel.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
}

textures/pukka3tourney4/banner_green
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tesssize 64
	deformvertexes wave 25 sin 0 2 0 .2
	deformvertexes wave 100 sin 0 2 0 .8
	{
		map textures/pukka3tourney4/banner_green.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/pukka3tourney4/banner_green_ow
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tesssize 64
	deformvertexes wave 25 sin 0 2 0 .2
	deformvertexes wave 100 sin 0 2 0 .8
	{
		map textures/pukka3tourney4/banner_green_ow.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/pukka3tourney4/druzli_floor
{
	surfaceparm nodlight
	surfaceparm nomarks
	nopicmip
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/pukka3tourney4/druzli_floor.tga
		blendfunc gl_one gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pukka3tourney4/druzli_floor_blend.tga
		blendfunc add
		rgbgen wave sin 0.75 4 1 0.75
	}
}

textures/pukka3tourney4/eq2_bmtl_trans
{
	qer_editorimage textures/pukka3tourney4/eq2_bmtl.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pukka3tourney4/eq2_bmtl.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/pukka3tourney4/eq2lt_base
{
	surfaceparm nomarks
	q3map_surfacelight 2700
	q3map_lightimage textures/eq2/eq2_baselt04.blend.tga
	qer_editorimage textures/eq2/eq2_baselt04.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/eq2/eq2_baselt04.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/eq2/eq2_baselt04.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/pukka3tourney4/eq2lt_clight
{
	surfaceparm nomarks
	q3map_surfacelight 2500
	q3map_lightimage textures/pukka3tourney4/eq2_32caplight.blend.tga
	qer_editorimage textures/eq2/eq2_32caplight.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pukka3tourney4/eq2_32caplight.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pukka3tourney4/eq2_32caplight.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/pukka3tourney4/eq2lt_clight_bright
{
	surfaceparm nomarks
	q3map_surfacelight 3500
	q3map_lightimage textures/pukka3tourney4/eq2_32caplight.blend.tga
	qer_editorimage textures/pukka3tourney4/eq2_32caplight.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pukka3tourney4/eq2_32caplight.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pukka3tourney4/eq2_32caplight.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/pukka3tourney4/grate
{
	cull disable
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	nopicmip
	qer_editorimage textures/eq2/eq2_fgrate_01.tga
	{
		map textures/eq2/eq2_fgrate_01.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/pukka3tourney4/grate2
{
	cull disable
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	nopicmip
	qer_editorimage textures/pukka3tourney4/grate1.tga
	{
		map textures/pukka3tourney4/grate1.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/pukka3tourney4/rock
{
	qer_editorimage textures/pukka3tourney4/rock.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pukka3tourney4/rock.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pukka3tourney4/rock2.tga
		blendfunc gl_dst_color gl_src_color
		rgbgen identity
		tcmod scale 0.5 0.5
	}
}

textures/pukka3tourney4/spawnlite
{
	surfaceparm nomarks
	q3map_lightimage textures/eq2/eq2_weap_spawnlite.blend.tga
	qer_editorimage textures/eq2/eq2_weap_spawnlite.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/eq2/eq2_weap_spawnlite.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/eq2/eq2_weap_spawnlite.blend.tga
		blendfunc add
		rgbgen wave noise 0.2 1 450 7
	}
}

textures/pukka3tourney4/spawnlite_1k
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	q3map_lightimage textures/eq2/eq2_weap_spawnlite.blend.tga
	qer_editorimage textures/eq2/eq2_weap_spawnlite.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/eq2/eq2_weap_spawnlite.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/eq2/eq2_weap_spawnlite.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/pukka3tourney4/treetrunk
{
	qer_editorimage textures/pukka3tourney4/treetrunk.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pukka3tourney4/treetrunk.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/pukkafx/water
{
	qer_editorimage textures/pukkafx/water.tga
	qer_trans .75
	q3map_normalimage textures/pukkafx/bump.tga
	qer_trans .75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	tesssize 32
	deformvertexes normal .5 .5
	deformvertexes wave 128 sin .5 .5 0 .5
	{
		map textures/pukkafx/water2.tga
		blendfunc add
		tcgen environment
		rgbgen wave sin .5 0 0 0
		tcmod scale 0.75 0.75
		tcmod scroll .01 .01
	}
	{
		map textures/pukkafx/water3.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll -.05 .001
	}
}

